package cn.axzo.workflow.core.service;

import cn.axzo.workflow.core.repository.entity.ExtAxProperty;

import java.util.Optional;

/**
 * 引擎服务持久配置信息表操作 Service
 *
 * @author wangli
 * @since 2023/11/18 15:05
 */
public interface ExtAxPropertyService {

    ExtAxProperty add(ExtAxProperty property);

    ExtAxProperty update(ExtAxProperty property);

    Optional<ExtAxProperty> getByName(String name);
}
